import { Meta, Canvas, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import { defaultLayout } from '../.storybook/decorators';
import BlockProduct from './block-product';
import store from '@/.storybook/store';
import { addControls, initJsonKnobs } from '@/.storybook/helpers';

export const argTypes = {};

export const controls = {
	color: [],
	number: [],
	json: ['ctaLink', 'imageDesktop', 'imageMobile', 'reviewsLink'],
};

<Meta
	title="Product"
	decorators={[defaultLayout]}
	component={BlockProduct}
	argTypes={addControls(argTypes, controls)}
/>

# Product

This module is used on the product pages. Specifically, the Air page and the Air Pro RX page.

It is used to prominently display product information and an add to cart CTA.

export const Template = (args, { argTypes }) => {
	initJsonKnobs(args, argTypes, controls.json);
	return {
		props: Object.keys(argTypes),
		components: { BlockProduct },
		template: '<block-product v-bind="$props" />',
		store,
	};
};

<Canvas withSource="none">
	<Story
		name="default"
		args={{
			ctaLink: { url: 'https://molekule.com/add-to-cart?skus=US:MH1_Device_US,CA:MH1_Device_CA' },
			ctaText: 'Add to cart; Preorder; Coming Soon',
			description:
				'<p>Made to destroy pollutants in larger spaces up to 600 sq. ft. </p><p>30-day home trial. </p><p>100% refundable.</p>',
			imageDesktop: {
				url:
					'https://images.prismic.io/molekule/2eb62537-973f-4885-8cb0-8094f6339ae0_Store+-+Air%406x.png?auto=compress,format',
				alt: null,
				copyright: null,
				width: 1200,
				height: 1590,
			},
			imageMobile: {
				url:
					'https://images.prismic.io/molekule/2eb62537-973f-4885-8cb0-8094f6339ae0_Store+-+Air%406x.png?auto=compress,format',
				alt: null,
				copyright: null,
				width: 1200,
				height: 1590,
			},
			name: 'Air',
			powerreviewsPageId: 'molekule-air',
			reviewsLink: { type: 'reviews_air', isBroken: false, url: '/air-reviews' },
			sku: 'MH1_Device_US',
			discount: 0
		}}
	>
		{Template.bind({})}
	</Story>
</Canvas>

## Vue Component Props

<ArgsTable of={BlockProduct} />
